diff --git a/web/pgadmin/utils/route.py b/web/pgadmin/utils/route.py
index f784e53..c04aed5 100644
--- a/web/pgadmin/utils/route.py
+++ b/web/pgadmin/utils/route.py
@@ -51,7 +51,10 @@ class TestsGeneratorRegistry(ABCMeta):
         # Avoid registering the BaseDriver itself
 
         if name != 'BaseTestGenerator' and name != 'BaseFeatureTest':
-            TestsGeneratorRegistry.registry[d['__module__']] = cls
+            if d['__module__'] in TestsGeneratorRegistry.registry:
+                TestsGeneratorRegistry.registry[d['__module__']].append(cls)
+            else:
+                TestsGeneratorRegistry.registry[d['__module__']] = [cls]
 
         ABCMeta.__init__(cls, name, bases, d)
 
diff --git a/web/regression/runtests.py b/web/regression/runtests.py
index d786692..68e018f 100644
--- a/web/regression/runtests.py
+++ b/web/regression/runtests.py
@@ -142,8 +142,9 @@ def get_suite(module_list, test_server, test_app_client, server_information):
 
     # Get the each test module and add into list
     for key, klass in module_list:
-        gen = klass
-        modules.append(gen)
+        for item in klass:
+            gen = item
+            modules.append(gen)
 
     # Set the test client to each module & generate the scenarios
     for module in modules:
